Shiny app not launching after R/Rstudio and pkgs upgrade

Getting the following error after launching Shiny app after R/Rstudio and pkgs upgrade.The app was working fine all this time.

Error in get(name, envir = asNamespace(pkg), inherits = FALSE) :

object '%OR%' not found

Could you make a reproducible example?

IF you aren't familiar with best practices for shiny reprexes, check out

This will make it easier for folks to replicate your issue and offer suggestions to solve it.

I think the error message points to this part of my code ---

%then% <- shiny:::%OR% #create a %then% operator for shiny::validation to display one validation error message at a time

I understand that %OR% is an internal object of shiny .maybe not present in the new versions.
I go back to the old version and get this.

shiny:::%OR%
function (x, y)
{
if (is.null(x) || isTRUE(is.na(x)))
y
else x
}

But how to get my app working in the new versions which are as follows:

• New R version 3.6.3
• New R-studio Version 1.3.1093

Even replacing the code like this is not helping me lauch the app.

%then% <- function(a, b) {
if (is.null(a)) b else a
}

this must be related to mismatched shiny versions
%OR% doesnt exist in 1.6, it was removed
Replace %OR% with %||% from rlang (#3172) · rstudio/shiny@e44a9b1 (github.com)